Robotsystem of the Robot Group Leipzig: PlotOption Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PlotOption Class Reference

This class contains options for the use of an external plot utility like guilogger or neuronviz or just simply file output. More...

`#include <wiredcontroller.h>`

List of all members.

## Public Member Functions
| PlotOption ()
| PlotOption (PlotMode mode, PlotSensors whichSensors=Controller, int interval=1, std::list< const Configurable * > confs=std::list< const Configurable * >(), std::string parameter="")
virtual | ~PlotOption ()
void | addConfigurable (const Configurable *)
void | setName (const std::string &name)
bool | open ()
| opens the connections to the plot tool
void | close ()
| closes the connections to the plot tool
## Public Attributes
FILE * | pipe
long | t
int | interval
std::string | name
## Friends
class | WiredController
## Classes
struct | matchMode
| nice predicate function for finding by mode More...

## Detailed Description

This class contains options for the use of an external plot utility like guilogger or neuronviz or just simply file output.

Examples:

  integration/main.cpp.

## Constructor & Destructor Documentation

PlotOption | ( |  | ) | `[inline]`

PlotOption | ( | PlotMode | mode,
|  | PlotSensors | whichSensors = `Controller`,
|  | int | interval = `1`,
|  | std::list< const Configurable * > | confs = `std::list<const Configurable*>()`,
|  | std::string | parameter = `""` |
| ) |  |  | `[inline]`

virtual ~PlotOption | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void addConfigurable | ( | const Configurable * |  | ) |

void close | ( |  | ) |

closes the connections to the plot tool

bool open | ( |  | ) |

opens the connections to the plot tool

void setName | ( | const std::string & | name | ) | `[inline]`

## Friends And Related Function Documentation

friend class WiredController`[friend]`

## Member Data Documentation

int interval

std::string name

FILE* pipe

long t

The documentation for this class was generated from the following files:

- wiredcontroller.h
- wiredcontroller.cpp